Bug 999425 - Dot separated process variable name as Map accessor on Task parameter mapping fails on Import in Designer
Dot separated process variable name as Map accessor on Task parameter mapping...
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
5.x.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Maciej Swiderski
Kirill Gaevskii
:
Depends On:
Blocks: 1006093
  Show dependency treegraph
 
Reported: 2013-08-21 06:05 EDT by Toshiya Kobayashi
Modified: 2016-01-08 16:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1006093 (view as bug list)
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4102 Major Open Dot separated process variable name as Map accessor on Task parameter mapping fails on Import in Designer 2016-04-25 05:44 EDT

  None (edit)
Description Toshiya Kobayashi 2013-08-21 06:05:31 EDT
Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-4102


Steps to Reproduce:
1. Import sample.bpmn attached to JBPM-4102


Actual results:

Throws an Exception and fails to import.

Expected results:

Import the BPMN successfully
Comment 1 JBoss JIRA Server 2013-09-09 23:20:45 EDT
Toshiya Kobayashi <tkobayas@redhat.com> made a comment on jira JBPM-4102

Attaching sample bpmn.

- I removed 
targetNamespace="http://www.jboss.org/drools" for Designer to be able to accept.
- I removed 'Result Mappings' which causes another error.
Comment 2 Kris Verlaenen 2013-10-10 21:28:05 EDT
sourceRef of a data association should be a valid IDREF, so strictly speaking, it can't be something like <sourceRef>myMap.var1</sourceRef>.  A transformation element (which is an expression inside the data association) should be used to store the expression.

So when using BPMN2 (both Designer and Eclipse), currently the user cannot set expressions as source for data associations.  As alternative, scripts should be used to set a variable with the right value and then use a simple data association to map that variable to the data input.

We will have to consider adding support for transformation expressions in the future.
Comment 3 Kris Verlaenen 2013-12-09 07:08:27 EST
Lowering priority based on devel_ack-
Comment 5 Maciej Swiderski 2015-01-21 08:23:51 EST
(In reply to Kris Verlaenen from comment #2)
> sourceRef of a data association should be a valid IDREF, so strictly
> speaking, it can't be something like <sourceRef>myMap.var1</sourceRef>.  A
> transformation element (which is an expression inside the data association)
> should be used to store the expression.
> 
> So when using BPMN2 (both Designer and Eclipse), currently the user cannot
> set expressions as source for data associations.  As alternative, scripts
> should be used to set a variable with the right value and then use a simple
> data association to map that variable to the data input.
> 
> We will have to consider adding support for transformation expressions in
> the future.
we already have support for transformation from the engine point of view. I talked to both Tihomir and Bob regarding support in the tooling though not sure it has been developed. I am quite sure eclipse modeler can show it when defined in source xml.

Note You need to log in before you can comment on or make changes to this bug.